IGMP Constant Enumerations

This module contains all constant enumerations of IGMP implementations. Available enumerations include:

IGMP_Type

IGMP Type Numbers [*]

IGMP_RecordType

IGMP Group Record Types [†]

IGMP Type Numbers

This module contains the constant enumeration for IGMP Type Numbers, which is automatically generated from pcapkit.vendor.igmp.type.Type.

class pcapkit.const.igmp.type.Type(*values)[source]

Bases: EnumRegistry, aenum.IntEnum

[Type] IGMP Type Numbers

Reserved_0 = 0

Reserved

IGMP_Membership_Query = 17

IGMP Membership Query [RFC 1112]

IGMPv1_Membership_Report = 18

IGMPv1 Membership Report [RFC 1112]

DVMRP = 19

DVMRP [draft-ietf-idmr-dvmrp-v3-11]

PIM_version_1 = 20

PIM version 1 [draft-ietf-idmr-pim-spec-02]

Cisco_Trace_Messages = 21

Cisco Trace Messages

IGMPv2_Membership_Report = 22

IGMPv2 Membership Report [RFC 2236]

IGMPv2_Leave_Group = 23

IGMPv2 Leave Group [RFC 2236]

Multicast_Traceroute_Response = 30

Multicast Traceroute Response [Bill Fenner]

Multicast_Traceroute = 31

Multicast Traceroute [Bill Fenner]

IGMPv3_Membership_Report = 34

IGMPv3 Membership Report [RFC 9776]

Multicast_Router_Advertisement = 48

Multicast Router Advertisement [RFC 4286]

Multicast_Router_Solicitation = 49

Multicast Router Solicitation [RFC 4286]

Multicast_Router_Termination = 50

Multicast Router Termination [RFC 4286]

classmethod _validate_value(value)[source]

Reject value unless it passes the range check _missing_() makes.

Overrides _validate_value() with that check and the message it raises, so register() refuses exactly the values get() refuses, in the same words (#1816).

Parameters:

value (Any) – Value about to be looked up or minted.

Raises:

EnumValueError – If value fails that check. A ValueError, so an except ValueError caller is unaffected.

classmethod _missing_(value)[source]

Lookup function used when value is not found.

Parameters:

value (int) – Value to get enum item.

Return type:

Type

IGMP Group Record Types

This module contains the constant enumeration for IGMP Group Record Types, which is automatically generated from pcapkit.vendor.igmp.record_type.RecordType.

class pcapkit.const.igmp.record_type.RecordType(*values)[source]

Bases: EnumRegistry, aenum.IntEnum

[RecordType] IGMP Group Record Types

MODE_IS_INCLUDE = 1
MODE_IS_EXCLUDE = 2
CHANGE_TO_INCLUDE_MODE = 3
CHANGE_TO_EXCLUDE_MODE = 4
ALLOW_NEW_SOURCES = 5
BLOCK_OLD_SOURCES = 6
classmethod _validate_value(value)[source]

Reject value unless it passes the range check _missing_() makes.

Overrides _validate_value() with that check and the message it raises, so register() refuses exactly the values get() refuses, in the same words (#1816).

Parameters:

value (Any) – Value about to be looked up or minted.

Raises:

EnumValueError – If value fails that check. A ValueError, so an except ValueError caller is unaffected.

classmethod _missing_(value)[source]

Lookup function used when value is not found.

Parameters:

value (int) – Value to get enum item.

Return type:

RecordType

Footnotes